/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cezar.cezargis.ws.zbdbdot;

import com.cezar.cezargis.ws.zbdbdot.schema.StatusPrzygotowaniaType;

/**
 *
 * @author mkanik
 */
public class ZbdBdotWebServiceException extends Exception {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;
    private DbStatus dbStatus;
    private StatusPrzygotowaniaType statusPrzygType;
    private Exception exception;

    public ZbdBdotWebServiceException(Exception exception) {
	super(exception.getMessage());
	this.exception = exception;
    }

    public ZbdBdotWebServiceException(DbStatus dbStatus) {
	this.dbStatus = dbStatus;
    }
    
    public ZbdBdotWebServiceException(StatusPrzygotowaniaType statusPrzygType) {
	this.statusPrzygType = statusPrzygType;
    }

    /**
     * @param dbStatus the dbStatus to set
     */
    public void setDbStatus(DbStatus dbStatus) {
	this.dbStatus = dbStatus;
    }

    /**
     * @return the dbStatus
     */
    public DbStatus getDbStatus() {
	return dbStatus;
    }

    /**
     * @param exception the exception to set
     */
    public void setException(Exception exception) {
	this.exception = exception;
    }

    /**
     * @return the exception
     */
    public Exception getException() {
	return exception;
    }
    
    /**
     * @param exception the exception to set
     */
    public void setStatusPrzygotowaniaType(StatusPrzygotowaniaType statusPrzygType) {
	this.statusPrzygType = statusPrzygType;
    }

    /**
     * @return the exception
     */
    public StatusPrzygotowaniaType getStatusPrzygotowaniaType() {
	return statusPrzygType;
    }    
}
