package com.cezar.cezargis.ws.zbdbdot;

public class ZbdBdotWebServiceException extends Exception {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;
    private FileStatus fileStatus;
    private Exception exception;
    private DbStatus dbStatus;
    private ExportStatus exportStatus;

    public ZbdBdotWebServiceException(String message, Exception exception) {
	super(message, exception);
    }

    public ZbdBdotWebServiceException(Exception exception) {
	this.exception = exception;
    }

    public ZbdBdotWebServiceException(FileStatus fileStatus) {
	this.fileStatus = fileStatus;
    }

    public ZbdBdotWebServiceException(Exception exception, FileStatus fileStatus) {
	this.exception = exception;
	this.fileStatus = fileStatus;
    }

    public ZbdBdotWebServiceException(DbStatus dbStatus) {
	this.dbStatus = dbStatus;
    }

    public ZbdBdotWebServiceException(Exception exception, DbStatus dbStatus) {
	this.exception = exception;
	this.dbStatus = dbStatus;
    }

    public ZbdBdotWebServiceException(ExportStatus exportStatus) {
	this.exportStatus = exportStatus;
    }

    /**
     * @param fileStatus the fileStatus to set
     */
    public void setFileStatus(FileStatus fileStatus) {
	this.fileStatus = fileStatus;
    }

    /**
     * @return the fileStatus
     */
    public FileStatus getFileStatus() {
	return fileStatus;
    }

    /**
     * @param exception the exception to set
     */
    public void setException(Exception exception) {
	this.exception = exception;
    }

    /**
     * @return the exception
     */
    public Exception getException() {
	return exception;
    }

    /**
     * @param dbStatus the dbStatus to set
     */
    public void setDbStatus(DbStatus dbStatus) {
	this.dbStatus = dbStatus;
    }

    /**
     * @return the dbStatus
     */
    public DbStatus getDbStatus() {
	return dbStatus;
    }

    /**
     * @param exportStatus the exportStatus to set
     */
    public void setExportStatus(ExportStatus exportStatus) {
	this.exportStatus = exportStatus;
    }

    /**
     * @return the exportStatus
     */
    public ExportStatus getExportStatus() {
	return exportStatus;
    }
}
