package com.cezar.cezargis.ws.zbdbdot.model;

import com.cezar.cezargis.ws.zbdbdot.ExportStatus;
import com.cezar.cezargis.ws.zbdbdot.FileStatus;
import java.util.Date;

/*
 * zbdt_id
 * zbdt_plik_path
 * zbdt_plik_data
 * zbdt_plik_start
 * zbdt_plik_status
 * zbdt_plik_exportstatus
 * zbdt_plik_sumakontrolna
 * zbdt_plik_rozmiar
 */
public class ExportModel {

    private int zbdtId;
    private String zbdtPlikPath;
    private Date zbdtPlikData;
    private Long zbdtPlikStart;
    private FileStatus zbdtPlikStatus;
    private ExportStatus zbdtPlikExportStatus;
    private String zbdtPlikSumakontrolna;
    private Long zbdtPlikRozmiar;

    public ExportModel() {
    }

    public ExportModel(String zbdtPlikPath, Date zbdtPlikData,
	    Long zbdtPlikStart, FileStatus zbdtPlikStatus,
	    ExportStatus zbdtPlikExportStatus, String zbdtPlikSumakontrolna, Long zbdtPlikRozmiar) {
	this.setZbdtPlikPath(zbdtPlikPath);
	this.setZbdtPlikData(zbdtPlikData);
	this.setZbdtPlikStart(zbdtPlikStart);
	this.setZbdtPlikStatus(zbdtPlikStatus);
	this.setZbdtPlikExportStatus(zbdtPlikExportStatus);
	this.setZbdtPlikSumakontrolna(zbdtPlikSumakontrolna);
	this.setZbdtPlikRozmiar(zbdtPlikRozmiar);
    }

    /**
     * @param zbdtId the zbdtId to set
     */
    public void setZbdtId(int zbdtId) {
	this.zbdtId = zbdtId;
    }

    /**
     * @return the zbdtId
     */
    public int getZbdtId() {
	return zbdtId;
    }

    /**
     * @param zbdtPlikPath the zbdtPlikPath to set
     */
    public void setZbdtPlikPath(String zbdtPlikPath) {
	this.zbdtPlikPath = zbdtPlikPath;
    }

    /**
     * @return the zbdtPlikPath
     */
    public String getZbdtPlikPath() {
	return zbdtPlikPath;
    }

    /**
     * @param zbdtPlikData the zbdtPlikData to set
     */
    public void setZbdtPlikData(Date zbdtPlikData) {
	this.zbdtPlikData = zbdtPlikData;
    }

    /**
     * @return the zbdtPlikData
     */
    public Date getZbdtPlikData() {
	return zbdtPlikData;
    }

    /**
     * @param zbdtPlikStart the zbdtPlikStart to set
     */
    public void setZbdtPlikStart(Long zbdtPlikStart) {
	this.zbdtPlikStart = zbdtPlikStart;
    }

    /**
     * @return the zbdtPlikStart
     */
    public Long getZbdtPlikStart() {
	return zbdtPlikStart;
    }

    /**
     * @param zbdtPlikStatus the zbdtPlikStatus to set
     */
    public void setZbdtPlikStatus(FileStatus zbdtPlikStatus) {
	this.zbdtPlikStatus = zbdtPlikStatus;
    }

    /**
     * @return the zbdtPlikStatus
     */
    public FileStatus getZbdtPlikStatus() {
	return zbdtPlikStatus;
    }

    /**
     * @param zbdtPlikExportStatus the zbdtPlikExportStatus to set
     */
    public void setZbdtPlikExportStatus(ExportStatus zbdtPlikExportStatus) {
	this.zbdtPlikExportStatus = zbdtPlikExportStatus;
    }

    /**
     * @return the zbdtPlikExportStatus
     */
    public ExportStatus getZbdtPlikExportStatus() {
	return zbdtPlikExportStatus;
    }

    /**
     * @param zbdtPlikSumakontrolna the zbdtPlikSumakontrolna to set
     */
    public void setZbdtPlikSumakontrolna(String zbdtPlikSumakontrolna) {
	this.zbdtPlikSumakontrolna = zbdtPlikSumakontrolna;
    }

    /**
     * @return the zbdtPlikSumakontrolna
     */
    public String getZbdtPlikSumakontrolna() {
	return zbdtPlikSumakontrolna;
    }

    /**
     * @param zbdtPlikRozmiar the zbdtPlikRozmiar to set
     */
    public void setZbdtPlikRozmiar(Long zbdtPlikRozmiar) {
	this.zbdtPlikRozmiar = zbdtPlikRozmiar;
    }

    /**
     * @return the zbdtPlikRozmiar
     */
    public Long getZbdtPlikRozmiar() {
	return zbdtPlikRozmiar;
    }
}
